cluster:
  pools:
    master:
      roles: [ etcd, control-plane, worker ]

templates:
  cluster:
    enabled: true
    spec:
      cloudCredentialSecretName: ""
      rkeConfig:
        registries:
          configs:
            insecure.example.com:
              insecureSkipVerify: true
            provided.example.com:
              authConfigSecretName: provided-example-com-should-not-override
  vmwarevsphereconfig:
    enabled: false

secrets:
  enabled: true
  registries:
    configs:
      docker.io:
        username: docker-user
        password: docker-pass
      registry1.example.com:
        username: user1
        password: pass1
      insecure.example.com:
        username: user2
        password: pass2
      provided.example.com:
        username: user3ignored
        password: pass3ignored


